---
title: Home
layout: default
---
<div class="row hidden-xs" id="panelContainer">
	{% for post in site.posts %}
	<div class="col-md-3 col-sm-6 gem-col">
		<div class="panel panel-default panel-gem" data-gem="{{ post.gem }}">
			<div class="panel-heading">
				<h3 class="panel-title"><a href="{{ site.baseurl }}{{ post.url }}">{{ post.title }}</a></h3>
			</div>
			<div class="panel-body" style="padding: 0">
				{% if post.thumbnail %}
				<img src="{{ site.baseurl }}{{ post.thumbnail }}" alt="Thumbnail: {{ post.title }}" style="width: 100%" class="img-responsive" />
				{% endif %}
			</div>
			<div class="panel-footer" style="padding: 0">
				<div class="author-block">
					<i class="fa fa-user"></i>
					<span class="gem-authors"><a href="{{ site.baseurl }}{{ post.author.url }}">{{ post.author.name }}</a></span>
				</div>
				<div class="row" style="margin-right: 0;margin-left: 0;">
					<div class="col-sm-4 text-center">
						<i class="fa fa-code-fork"></i>
						<span class="gem-version">0</span>
					</div>
					<div class="col-sm-4 text-center">
						<i class="fa fa-cubes"></i>
						<span class="gem-license">MIT</span>
					</div>
					<div class="col-sm-4 text-center">
						<i class="fa fa-cloud-download"></i>
						<span class="gem-downloads">0</span>
					</div>
				</div>
				<div class="btn-group" style="width: 100%">
					{% if post.category contains "Templates" and post.demo_link %}
					<a class="btn btn-default btn-block" href="{{ site.baseurl }}/{{ post.demo_link }}">
						Preview
					</a>
					{% endif %}
					<a class="btn btn-default btn-block" href="{{ site.baseurl }}{{ post.url }}">
						Read More
					</a>
				</div>
			</div>
		</div>
	</div>
	{% endfor %}
</div>
<div class="row visible-xs">
	{% for post in site.posts %}
	<div class="col-xs-12">
		<div class="panel panel-default panel-gem" data-gem="{{ post.gem }}">
			<div class="panel-heading">
				<h3 class="panel-title"><a href="{{ site.baseurl }}{{ post.url }}">{{ post.title }}</a></h3>
			</div>
			<div class="panel-body" style="padding: 0">
				{% if post.thumbnail %}
				<img src="{{ site.baseurl }}{{ post.thumbnail }}" alt="Thumbnail: {{ post.title }}" style="width: 100%" class="img-responsive" />
				{% endif %}
			</div>
			<div class="panel-footer" style="padding: 0">
				<div class="author-block">
					<i class="fa fa-user"></i>
					<span class="gem-authors"><a href="{{ site.baseurl }}{{ post.author.url }}">{{ post.author.name }}</a></span>
				</div>
				<div class="row" style="margin-right: 0;margin-left: 0;">
					<div class="col-sm-4 text-center">
						<i class="fa fa-code-fork"></i>
						<span class="gem-version">0</span>
					</div>
					<div class="col-sm-4 text-center">
						<i class="fa fa-cubes"></i>
						<span class="gem-license">MIT</span>
					</div>
					<div class="col-sm-4 text-center">
						<i class="fa fa-cloud-download"></i>
						<span class="gem-downloads">0</span>
					</div>
				</div>
				<div class="btn-group" style="width: 100%">
					{% if post.category contains "Templates" and post.demo_link %}
					<a class="btn btn-default btn-block" href="{{ site.baseurl }}/{{ post.demo_link }}">
						Preview
					</a>
					{% endif %}
					<a class="btn btn-default btn-block" href="{{ site.baseurl }}{{ post.url }}">
						Read More
					</a>
				</div>
			</div>
		</div>
	</div>
	{% endfor %}
</div>
<script>
$(function(){
	$('#panelContainer').waitForImages(function(){
		$('#panelContainer').masonry({
			itemSelector: '.gem-col'
		});
	});
	$('.panel-gem').each(function(){
		var gem = $(this).data('gem');
		var instance = this;
		$.ajax({
			async: true,
			cache: false,
			url: 'https://rubygems.org/api/v1/gems/' + gem + '.json',
			success: function(response){
				$(instance).find('.gem-version').html(response.version);
				$(instance).find('.gem-downloads').html(response.downloads);
				if(response.licenses !== undefined){
					$(instance).find('.gem-license').html(response.licenses.join(","));
				}
			},
			error: function(response){

			}
		});
	});
});
</script>
{% include google_leader_ad.html %}